Index: code/branches/cpp11_v2/src/modules/objects/Attacher.h
===================================================================
--- code/branches/cpp11_v2/src/modules/objects/Attacher.h	(revision 10769)
+++ code/branches/cpp11_v2/src/modules/objects/Attacher.h	(revision 10817)
@@ -51,9 +51,9 @@
             virtual ~Attacher() {}
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            virtual void processEvent(Event& event);
-            virtual void changedActivity();
-            virtual void changedVisibility();
+            virtual void processEvent(Event& event) override;
+            virtual void changedActivity() override;
+            virtual void changedVisibility() override;
 
             void addObject(WorldEntity* object);
@@ -64,5 +64,5 @@
                 { return this->targetname_; }
 
-            void loadedNewXMLName(BaseObject* object);
+            void loadedNewXMLName(BaseObject* object) override;
 
         private:
Index: code/branches/cpp11_v2/src/modules/objects/ForceField.h
===================================================================
--- code/branches/cpp11_v2/src/modules/objects/ForceField.h	(revision 10769)
+++ code/branches/cpp11_v2/src/modules/objects/ForceField.h	(revision 10817)
@@ -92,7 +92,7 @@
             virtual ~ForceField();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Creates a ForceField object through XML.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Creates a ForceField object through XML.
             void registerVariables(); //!< Registers the variables that should get synchronised over the network
-            virtual void tick(float dt); //!< A method that is called every tick.
+            virtual void tick(float dt) override; //!< A method that is called every tick.
             
 
Index: code/branches/cpp11_v2/src/modules/objects/Planet.h
===================================================================
--- code/branches/cpp11_v2/src/modules/objects/Planet.h	(revision 10769)
+++ code/branches/cpp11_v2/src/modules/objects/Planet.h	(revision 10817)
@@ -52,9 +52,9 @@
             virtual ~Planet();
 
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            virtual void changedVisibility();
+            virtual void changedVisibility() override;
 
             inline void setMeshSource(const std::string& meshname)
Index: code/branches/cpp11_v2/src/modules/objects/Script.h
===================================================================
--- code/branches/cpp11_v2/src/modules/objects/Script.h	(revision 10769)
+++ code/branches/cpp11_v2/src/modules/objects/Script.h	(revision 10817)
@@ -98,6 +98,6 @@
             virtual ~Script();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a Script object through XML.
-            virtual void XMLEventPort(Element& xmlelement, XMLPort::Mode mode); //!< Creates a port that can be used to channel events and react to them.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method for creating a Script object through XML.
+            virtual void XMLEventPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Creates a port that can be used to channel events and react to them.
 
             bool trigger(bool triggered, BaseObject* trigger); //!< Is called when an event comes in trough the event port.
@@ -168,6 +168,6 @@
                 { return this->forAll_; }
 
-            virtual void clientConnected(unsigned int clientId); //!< Callback that is called when a new client has connected.
-            virtual void clientDisconnected(unsigned int clientid) {}
+            virtual void clientConnected(unsigned int clientId) override; //!< Callback that is called when a new client has connected.
+            virtual void clientDisconnected(unsigned int clientid) override {}
 
         private:
Index: code/branches/cpp11_v2/src/modules/objects/SpaceBoundaries.h
===================================================================
--- code/branches/cpp11_v2/src/modules/objects/SpaceBoundaries.h	(revision 10769)
+++ code/branches/cpp11_v2/src/modules/objects/SpaceBoundaries.h	(revision 10817)
@@ -93,7 +93,7 @@
             int getReaction();
 
-            void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            void tick(float dt);
+            void tick(float dt) override;
 
         private:
Index: code/branches/cpp11_v2/src/modules/objects/Turret.h
===================================================================
--- code/branches/cpp11_v2/src/modules/objects/Turret.h	(revision 10769)
+++ code/branches/cpp11_v2/src/modules/objects/Turret.h	(revision 10817)
@@ -61,12 +61,12 @@
             virtual ~Turret();
 
-            virtual void rotatePitch(const Vector2& value);
-            virtual void rotateYaw(const Vector2& value);
-            virtual void rotateRoll(const Vector2& value);
+            virtual void rotatePitch(const Vector2& value) override;
+            virtual void rotateYaw(const Vector2& value) override;
+            virtual void rotateRoll(const Vector2& value) override;
             virtual float isInRange(const WorldEntity* target);
             virtual void aimAtPosition(const Vector3 &position);
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void tick(float dt);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void tick(float dt) override;
 
             /** @brief Sets the maximum distance the turret is allowed to shoot. @param radius The distance*/
